#!/bin/sh
#############################################################################
# @copyright(external)
# Licensed Materials - Property of IBM
# 5724-R21
#
# © Copyright IBM Corp.  2006.   All Rights Reserved. 
# US Government Users Restricted Rights 
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corporation.
#
# IBM grants you ("Licensee") a non-exclusive, royalty free, license to use,
# copy and redistribute the Non-Sample Header file software in source and binary code form,
# provided that i) this copyright notice, license and disclaimer  appear on all copies of
# the software; and ii) Licensee does not utilize the software in a manner
# which is disparaging to IBM.
#
# This software is provided "AS IS."  IBM and its Suppliers and Licensors expressly disclaim all warranties, whether  EXPRESS OR IMPLIED, 
# INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR WARRANTY OF  NON-INFRINGEMENT.  IBM AND ITS SUPPLIERS AND  LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM USE OR DISTRIBUTION OF THE SOFTWARE OR THE COMBINATION OF THE SOFTWARE WITH ANY OTHER CODE.  IN NO EVENT WILL IBM OR ITS SUPPLIERS  AND LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
#
# @endCopyright  
#############################################################################

# variables setup script

# ************************** WHITNEY HOME PATH ****************
TEMPDIR=`pwd`
# TEMPPATH=`which "$0"`

TEMPPATH=`basename "$0"`
if [ ${TEMPPATH} = "${0}" ]; then
IFS=:
for dir in $PATH; do
if [ -x ${dir}/${TEMPPATH} ]; then
TEMPPATH=${dir}/${TEMPPATH}
break;
fi
done
else
TEMPPATH=${0}
fi

FULLPATH=`dirname "${TEMPPATH}"`
cd "${FULLPATH}"
scriptdir=`pwd`
cd "${TEMPDIR}"

if [ -z "${WHITNEY_HOME}" ]; then
  WHITNEY_HOME="${scriptdir}/.."
fi
export WHITNEY_HOME

# ************************** JAVA HOME PATH ****************
if [ ! -d "${WHITNEY_HOME}/Java60" ]; then
  if [ -z "${JDK_PATH}" ]; then
    SETUP_JDK_PATH="${scriptdir}/setup_jdk_path.sh" > /dev/null 2>&1
    if [ -f "${SETUP_JDK_PATH}" ]; then
      . "${SETUP_JDK_PATH}" > /dev/null 2>&1
    fi
  fi
fi

if [ -z "${JDK_PATH}" ]; then
  JAVA_HOME="${WHITNEY_HOME}/Java60/jre"
else
  JAVA_HOME="${JDK_PATH}"
fi
export JAVA_HOME

# ************************** WHITNEY INSTANCE PATH ****************
if [ -z "${WHITNEY_INSTANCE}" ]; then
  WHITNEY_INSTANCE="${WHITNEY_HOME}"
fi
export WHITNEY_INSTANCE


# ************************** RUNTIME REQUIRED JARS ****************
CLASSPATH=$WHITNEY_HOME/lib/whitney_core.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/resource/bundles
export CLASSPATH
