#!/bin/sh
#############################################################################
# @copyright(external)
# Licensed Materials - Property of IBM
# 5724-R21
#
# © Copyright IBM Corp.  2006.   All Rights Reserved. 
# US Government Users Restricted Rights 
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corporation.
#
# IBM grants you ("Licensee") a non-exclusive, royalty free, license to use,
# copy and redistribute the Non-Sample Header file software in source and binary code form,
# provided that i) this copyright notice, license and disclaimer  appear on all copies of
# the software; and ii) Licensee does not utilize the software in a manner
# which is disparaging to IBM.
#
# This software is provided "AS IS."  IBM and its Suppliers and Licensors expressly disclaim all warranties, whether  EXPRESS OR IMPLIED, 
# INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR WARRANTY OF  NON-INFRINGEMENT.  IBM AND ITS SUPPLIERS AND  LICENSORS SHALL NOT BE LIABLE FOR ANY DAMAGES SUFFERED BY LICENSEE THAT RESULT FROM USE OR DISTRIBUTION OF THE SOFTWARE OR THE COMBINATION OF THE SOFTWARE WITH ANY OTHER CODE.  IN NO EVENT WILL IBM OR ITS SUPPLIERS  AND LICENSORS BE LIABLE FOR ANY LOST REVENUE, PROFIT OR DATA, OR FOR DIRECT, INDIRECT, SPECIAL, CONSEQUENTIAL, INCIDENTAL OR PUNITIVE DAMAGES, HOWEVER CAUSED AND REGARDLESS OF THE THEORY OF LIABILITY, ARISING OUT OF THE USE OF OR INABILITY TO USE SOFTWARE, EVEN IF IBM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
#
# @endCopyright  
#############################################################################

# startup script

# TEMP1=`which "$0"`

TEMP1=`basename "$0"`
if [ ${TEMP1} = "${0}" ]; then
IFS=:
for dir in $PATH; do
if [ -x ${dir}/${TEMP1} ]; then
TEMP1=${dir}/${TEMP1}
break;
fi
done
else
TEMP1=${0}
fi

ARG0DIR=`dirname "$TEMP1"`
SETUP_PATH="${ARG0DIR}/setup.sh"
. "$SETUP_PATH"

# ************************** COMPILE TIME REQUIRED JARS ****************
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/an_dlt.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/derby.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/dlt.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/icu4j.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/iqq-indexer-core.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/nekohtml.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/siapi.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/struts.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/tsapi.jar
CLASSPATH=$CLASSPATH:$WHITNEY_HOME/lib/uima_core.jar


# Set Java to use logging properties
LOGGING_PATH=$WHITNEY_INSTANCE/config/ecmts_config_logging.properties
JVM_OPTIONS=-Djava.util.logging.config.file=$LOGGING_PATH
"$JAVA_HOME/bin/java" -classpath "$CLASSPATH" "$JVM_OPTIONS" com.ibm.es.nuvo.configuration.tool.SynonymTool "$@"
